Subject: Re: linux-staging/linux-next merge/build errors

From: Greg KH <[email-masked]>
Date: Sat, 21 Jun 2008 00:10:23 -0700

On Sat, Jun 21, 2008 at 12:40:17PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today I have done a test merge of linux-staging into linux-next.  I got
> merge conflicts in drivers/char/agp/via-agp.c and drivers/misc/Makefile -
> neither of which is really surprising and both tivial to fix up.
> 
> I then did an x86 allmodconfig build with these errors:
> 
> In file included from /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_drm.c:32:
> /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_3d_reg.h: In function ‘IS_AGPHEADER_INV’:
> /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_3d_reg.h:230: error: ‘TRUE’ undeclared (first use in this function)
> /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_3d_reg.h:230: error: (Each undeclared identifier is reported only once
> /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_3d_reg.h:230: error: for each function it appears in.)
> /home/sfr/kernels/next/src/drivers/char/drm/via_chrome9_3d_reg.h:232: error: ‘FALSE’ undeclared (first use in this function)

Wierd, this passes allmodconfig on i386, something else must be
declaring TRUE and FALSE :)

I'll just go remove them entirely.

> And several new warnings (these may not be all):
> 
> /home/sfr/kernels/next/src/fs/novfs/inode.c:265: warning: initialization from incompatible pointer type
> /home/sfr/kernels/next/src/fs/novfs/inode.c:267: warning: initialization from incompatible pointer type
> /home/sfr/kernels/next/src/fs/novfs/inode.c:273: warning: initialization from incompatible pointer type
> /home/sfr/kernels/next/src/fs/novfs/inode.c:275: warning: initialization from incompatible pointer type
> In file included from /home/sfr/kernels/next/src/fs/novfs/daemon.c:24:
> include2/asm/semaphore.h:1:2: warning: #warning Use linux/semaphore.h, not asm/semaphore.h
> In file included from /home/sfr/kernels/next/src/fs/novfs/scope.c:26:
> include2/asm/semaphore.h:1:2: warning: #warning Use linux/semaphore.h, not asm/semaphore.h
> In file included from /home/sfr/kernels/next/src/fs/novfs/nwcapi.c:22:
> include2/asm/semaphore.h:1:2: warning: #warning Use linux/semaphore.h, not asm/semaphore.h

Yeah, we took a major update of novfs and some of my previous fixes like
this got lost.

I'll go resolve them now.

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-next" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html